Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface AGroup

All Superinterfaces:
  AAct, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  AGroupImpl

    public interface AGroup

extends AAct, SNamed

A representation of the model object ' AGroup'.

Author:
  Miles Parker

  The following features are supported:

  - `Roots`
  - `Members`
See Also:
  `MetaABMActPackage.getAGroup()`

Method Summary
`AAct` | `findMember(java.lang.String id)`
`org.eclipse.emf.common.util.EList<AAct>` | `getMembers()` Returns the value of the 'Members' containment reference list.
`org.eclipse.emf.common.util.EList<AAct>` | `getRoots()` Returns the value of the 'Roots' reference list.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Method Detail

### getRoots

    org.eclipse.emf.common.util.EList<AAct> getRoots()

  Returns the value of the 'Roots' reference list. The list contents are of type `AAct`.

  If the meaning of the 'Roots' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Roots' reference list.
  See Also:
    `MetaABMActPackage.getAGroup_Roots()`

### getMembers

    org.eclipse.emf.common.util.EList<AAct> getMembers()

  Returns the value of the 'Members' containment reference list. The list contents are of type `AAct`. It is bidirectional and its opposite is '`Group`'.

  If the meaning of the 'Members' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Members' containment reference list.
  See Also:
    `MetaABMActPackage.getAGroup_Members()`, `AAct.getGroup()`

### findMember

    AAct findMember(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD